import { Injectable } from '@nestjs/common';
import { ConfigService as NestConfigService } from '@nestjs/config';

@Injectable()
export class ConfigService extends NestConfigService {
  dispoliveBaseUrl(): string {
    return this.get('DISPO_LIVE_BASE_URL');
  }
  dispoliveApiKey(): string {
    return this.get('DISPO_LIVE_API_KEY');
  }
  dispoliveApiVersion(): string {
    return this.get('DISPO_LIVE_API_VERSION') ?? 'v1.0.1';
  }
  dispoliveUsername(): string {
    return this.get('DISPO_LIVE_USERNAME');
  }
  dispolivePassword(): string {
    return this.get('DISPO_LIVE_PASSWORD');
  }
  dyflexisV0BaseUrl(): string {
    return this.get('DYFLEXIS_V0_BASE_URL');
  }
  dyflexisV0ApiKey(): string {
    return this.get('DYFLEXIS_V0_API_KEY');
  }
  dyflexisV2BaseUrl(): string {
    return this.get('DYFLEXIS_V2_BASE_URL');
  }
  dyflexisV2ApiKey(): string {
    return this.get('DYFLEXIS_V2_API_KEY');
  }
  databasePort(): string {
    return this.get('DATABASE_PORT');
  }
  databaseHost(): string {
    return this.get('DATABASE_HOST');
  }
  databaseUser(): string {
    return this.get('DATABASE_USERNAME');
  }
  databasePassword(): string {
    return this.get('DATABASE_PASSWORD');
  }
  databaseName(): string {
    return this.get('DATABASE_DATABASE');
  }
}
